Create or Update a Person

Updates a person record for the specified person. If no record of the specified person exists, this route creates a person record.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

User Attributes

Attributes are represented in Boomtrain's systems as a set of key:value pairs. Any string can be used as an attribute value.

Note that all user attribute keys will be normalized in the following way:

  1. Leading and trailing whitespace characters will be removed.
  2. Any instances of multiple consecutive whitespace characters will be replaced with a single whitespace character.
  3. Uppercase letters are downcased
  4. Whitespaces are replaced with underscore characters.

This normalization will occur for all keys inside a nested value within that attribute as well.

As an example, the attribute expressed as "My Attribute" will be transformed to my_attribute.

There are a few attribute names that are recognized as standard values:

Attribute NamePurpose
first_name OR firstnameThe first name of the user.
last_name OR lastnameThe last name of the user.
nameThe full name of the user.
signed_up_atThe date that a user signed up for your site. Note that this attribute should be specified as an ISO-8601 Timestamp String.
Path Params
string
required

URL path parameter. The unique identifier for your site.

string
required

URL path parameter. Indicates the type of identifier used to identify the person. This should accept the values bsin, email, or user_id. A user's bsin can be obtained through the route documented at Get a Boomtrain Identifier for a Person

string
required

URL path parameter. Indicates the identifier for the person receiving recommendations.

Body Params
string

The email address identifier to upsert into the person record. If omitted the current value will remain unchanged.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json